locale(1)

NOMBRE
locale - obtiene información específica de la configuración regional

SINOPSIS
locale [opción]
locale [opción] -a
locale [opción] -m
locale [opción] nombre ...

DESCRIPCIÓN
La orden locale muestra información sobre las configuraciones regionales en la salida estándar.

Cuando se invoca sin argumentos, locale muestra la configuración regional actual para cada categoría de configuración regional (consulte locale(5)), en base a la configuración de las variables de entorno que controlan la configuración regional (consulte locale(7) ). Los valores de las variables establecidas en el entorno se imprimen sin comillas dobles, los valores implícitos se imprimen con comillas dobles.

Si se define alguna de las opciones -a o -m (o uno de sus equivalentes de formato largo), el comportamiento es el siguiente:

--all-locales
-a
    Muestra una lista de todas las configuraciones regionales disponibles. La opción -v hace que se muestren en la salida los metadatos LC_IDENTIFICATION sobre cada configuración regional.

--charmaps
-m
    Muestra los mapas de caracteres disponibles (archivos de descripción del conjunto de caracteres). Para mostrar el conjunto de caracteres actual para la configuración regional, utilice locale -c charmap.

La orden locale también se puede ejecutar con uno o más argumentos, que son los nombres de las palabras clave locales (por ejemplo, date_fmt, ctype-class-names, yesexpr o decimal_point) o categorías locales (por ejemplo, LC_CTYPE o LC_TIME). Para cada argumento, se muestra lo siguiente:

•   Para una clave local, se mostrará el valor de esa palabra clave.

•   Para una categoría local, se muestran los valores de todas las palabras clave de esa categoría.

Cuando se proporcionan argumentos, las siguientes opciones son significativas:

--category-name
-c
    Para un argumento de nombre de categoría, muestra el nombre de la categoría local en una línea separada antes de la lista de valores de palabras clave para esa categoría.

    Para un argumento de nombre de palabra clave, muestra el nombre de la categoría regional para esta palabra clave en una línea separada antes del valor de la palabra clave.

    Esta opción mejora la legibilidad cuando se especifican varios argumentos de nombre. Se puede combinar con la opción -k.

--keyword-name
-k
    Para cada palabra clave cuyo valor se muestra, incluya también el nombre de esa palabra clave, de modo que la salida tenga el formato:

        keyword="valor"

La orden locale también tiene las siguientes opciones:

--verbose
-v
    Muestra información adicional para algunas combinaciones de opciones y argumentos de la línea de órdenes.

--help
-?
    Muestra un resumen de las opciones y argumentos de la línea de órdenes y finaliza.

--usage
    Muestra un mensaje de ayuda y finaliza.

--version
-V
    Muestra la versión del programa y finaliza.

ARCHIVOS

/usr/lib/locale/locale-archive
    Ubicación habitual por defecto del archivo de la configuración regional.

/usr/share/i18n/locales
    Ruta predeterminada habitual para los archivos de definiciones de la configuración regional.

ESTÁNDARES
POSIX.1-2008.

HISTORIAL
POSIX.1-2001.

EJEMPLOS
    $ locale;
    LANG=en_US.UTF-8
    LC_CTYPE="en_US.UTF-8"
    LC_NUMERIC="en_US.UTF-8"
    LC_TIME="en_US.UTF-8"
    LC_COLLATE="en_US.UTF-8"
    LC_MONETARY="en_US.UTF-8"
    LC_MESSAGES="en_US.UTF-8"
    LC_PAPER="en_US.UTF-8"
    LC_NAME="en_US.UTF-8"
    LC_ADDRESS="en_US.UTF-8"
    LC_TELEPHONE="en_US.UTF-8"
    LC_MEASUREMENT="en_US.UTF-8"
    LC_IDENTIFICATION="en_US.UTF-8"
    LC_ALL=

$locale date_fmt;
%a %b %e %H:%M:%S %Z %Y

$locale -k date_fmt
date_fmt="%a %b %e %H:%M:%S %Z %Y"

$locale -ck date_fmt
LC_TIME
date_fmt="%a %b %e %H:%M:%S %Z %Y"

$locale LC_TELEPHONE
+%c (%a) %l
(%a) %l
11
1
UTF-8

$locale -k LC_TELEPHONE
tel_int_fmt="+%c (%a) %l"
tel_dom_fmt="(%a) %l"
int_select="11"
int_prefix="1"
telephone-codeset="UTF-8"

El siguiente ejemplo crea una configuración regional personalizada desde el directorio ./wrk con la utilidad localedef(1) en el directorio $HOME/.locale, comprueba el resultado con date(1) y a continuación establece las variables de entorno LOCPATH y LANG en el perfil de la shell para que la configuración regional personalizada se use en las sesiones de usuario posteriores:

    $ mkdir -p $HOME/.locale;
    $ I18NPATH=./wrk/ localedef -f UTF-8 -i fi_SE $HOME/.locale/fi_SE.UTF-8;
    $ LOCPATH=$HOME/.locale LC_ALL=fi_SE.UTF-8 date;
    $ echo "export LOCPATH=\$HOME/.locale" >> $HOME/.bashrc;
    $ echo "export LANG=fi_SE.UTF-8" >> $HOME/.bashrc;

VÉASE TAMBIÉN
localedef(1), charmap(5), locale(5), locale(7)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.